#
# spec file for package perl-SGMLS
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-SGMLS
Version:        1.1
Release:        1.27
Summary:        SGML/XML Parsers
License:        GPL-2.0
Group:          Productivity/Publishing/SGML
Url:            https://metacpan.org/release/RAAB/SGMLSpm-1.1
Source:         https://www.cpan.org/authors/id/R/RA/RAAB/SGMLSpm-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
# workaround the downgrade in version number from 1.03ii to 1.1
Provides:       perl-SGMLS = %{version}0
Provides:       perl(SGMLS) = %{version}0
%{perl_requires}

%description
SGMLSpm is a Perl script that reads ESIS output (from parsers like SP)
and offers an event-based interface to the parser. As long as the
parser can parse XML this also works for XML.

%prep
%setup -q -n SGMLSpm-1.1

%build

%install
mkdir -p %{buildroot}%{perl_vendorlib}
mkdir -p %{buildroot}%{perl_vendorlib}/SGMLS
mkdir -p %{buildroot}%{_bindir}
install lib/SGMLS.pm %{buildroot}%{perl_vendorlib}
install lib/sgmlspl-specs/skel.pl %{buildroot}%{perl_vendorlib}
install lib/SGMLS/Output.pm lib/SGMLS/Refs.pm %{buildroot}%{perl_vendorlib}/SGMLS
install script/sgmlspl.pl %{buildroot}%{_bindir}/sgmlspl
mv DOC/sample.pl DOC/HTML/SGMLSpm/sample.pl

%files
%license COPYING
%doc README BUGS ChangeLog TODO DOC/HTML/*
%dir %{perl_vendorlib}/SGMLS
%{perl_vendorlib}/SGMLS.pm
%{perl_vendorlib}/skel.pl
%{perl_vendorlib}/SGMLS/Output.pm
%{perl_vendorlib}/SGMLS/Refs.pm
%{_bindir}/sgmlspl

%changelog
* Sun Oct  7 2018 Dirk Stoecker <opensuse@dstoecker.de>
- Fix downgrade issue due to uncommon version name
* Thu Sep 13 2018 pmonrealgonzalez@suse.com
- update to version 1.1
  Updated the package to use Module::Build. This should help
  distribution packagers who commonly patched the old Makefile
  to rearrange the install.
  Applied Ardo van Rangelrooij's debian patches
- Cleaned spec file with spec-cleaner
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Jan  4 2011 coolo@novell.com
- ran spec-cleaner
* Thu Dec 16 2010 vcizek@novell.com
- switched to %%perl_requires macro
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Thu Jan 14 2010 anicka@suse.cz
- revert last change to make the package build again. There is
  no point in calling make at all in this package, we do all
  the work of its Makefile in %%install phase.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Apr  4 2006 hvogel@suse.de
- fix some doc files [#163065]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 16 2003 mmj@suse.de
- Don't build as root
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 mmj@suse.de
- Use vendorlib
* Wed Aug 14 2002 mmj@suse.de
- Add documentation to the specfile, feedback from a user.
* Tue Apr 16 2002 mmj@suse.de
- Fixed correctly
* Mon Apr 15 2002 mmj@suse.de
- Fixed to own %%{perl_sitelib}/SGMLS/
* Mon Feb  4 2002 mmj@suse.de
- Added forgotten /usr/bin/sgmlspl to %%files *grrrr*
* Mon Feb  4 2002 mmj@suse.de
- Initial version. Added b/c iputils documentation now needs it to
  build
